<?php


namespace Diamond\Config;

/**
 * Description of Mail
 *
 * @author Admin
 */
class Mail extends \Core\IniConfig {

    protected $smtp_email;
    protected $mail_from;
    protected $name_from;
    protected $smtp_host;
    protected $smtp_user;
    protected $smtp_pass;
    protected $smtp_port;
    protected $smtp_timeout;
    protected $smtp_ssl;
    protected $mailpath;

    protected function getFileName() {
        return 'system.mail.ini';
    }

    function getMailpath() {
        return $this->mailpath;
    }

    function getSmtp_user() {
        return $this->smtp_user;
    }

    function getSmtp_pass() {
        return $this->smtp_pass;
    }

    function getSmtp_port() {
        return $this->smtp_port;
    }

    function getSmtp_timeout() {
        return $this->smtp_timeout;
    }

    function getSmtp_ssl() {
        return $this->smtp_ssl;
    }

    function getSmtp_email() {
        return $this->smtp_email;
    }

    function getMail_from() {
        return $this->mail_from;
    }

    function getName_from() {
        return $this->name_from;
    }

    function getSmtp_host() {
        return $this->smtp_host;
    }

}
